> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pdfshift.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pricing list

> Returns the list of available plans and their pricing.

This endpoint is public and can be reached without authentication. However, if you provide your API key through the `X-API-Key` header, the response may also include custom plans specific for your account, in addition to the standard public plans.



## OpenAPI

````yaml https://api.pdfshift.io/openapi.json get /credits/pricing
openapi: 3.0.3
info:
  title: PDFShift API Documentation
  version: '3.0'
  description: >-
    This is the documentation for the PDFShift API.


    Our aim here is to provide you with a clear, concise and complete set of
    tool to generate the PDF you want.


    Don't forget to add the `sandbox` parameter to `True` while testing the API,
    this won't use your credits and generate free PDF (with a watermark).

    But if you forgot to set it, don't worry ; Send us a message and we'll reset
    your credits usage.
  termsOfService: https://pdfshift.io/terms
  contact:
    name: PDFShift
    url: https://pdfshift.io
    email: support@pdfshift.io
  x-logo:
    url: https://pdfshift.io/images/favicons/android-chrome-512x512.png
servers:
  - url: https://api.pdfshift.io/v3
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://docs.pdfshift.io
  url: https://docs.pdfshift.io
paths:
  /credits/pricing:
    get:
      tags:
        - credits
        - pricing
      summary: Pricing list
      description: >-
        Returns the list of available plans and their pricing.


        This endpoint is public and can be reached without authentication.
        However, if you provide your API key through the `X-API-Key` header, the
        response may also include custom plans specific for your account, in
        addition to the standard public plans.
      responses:
        '200':
          description: Available plans and their pricing
          headers:
            X-RateLimit-Remaining:
              description: >-
                The number of requests remaining in the current rate limit
                window.
              schema:
                type: integer
            X-RateLimit-Limit:
              description: >-
                The maximum number of requests allowed in the current rate limit
                window.
              schema:
                type: integer
            X-RateLimit-Reset:
              description: >-
                The time at which the current rate limit window resets (Unix
                timestamp).
              schema:
                type: integer
                format: int64
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Pricing'
              example:
                success: true
                prices:
                  - display: Startup
                    name: shift05
                    credits: 500
                    filesize: 250
                    timeout: 100
                    price: 9
                    yearly: false
                    overage: 40
                    position: 1
                  - display: Growth
                    name: shift5k
                    credits: 5000
                    filesize: 250
                    timeout: 100
                    price: 39
                    yearly: false
                    overage: 25
                    position: 3
        '429':
          description: Too Many Requests. You have been rate limited.
          headers:
            X-RateLimit-Remaining:
              description: >-
                The number of requests remaining in the current rate limit
                window.
              schema:
                type: integer
            X-RateLimit-Limit:
              description: >-
                The maximum number of requests allowed in the current rate limit
                window.
              schema:
                type: integer
            X-RateLimit-Reset:
              description: >-
                The time at which the current rate limit window resets (Unix
                timestamp).
              schema:
                type: integer
                format: int64
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - {}
        - apiKeyHeader: []
components:
  schemas:
    Pricing:
      type: object
      properties:
        success:
          type: boolean
        prices:
          type: array
          items:
            type: object
            properties:
              display:
                type: string
                description: The human-readable name of the plan.
              name:
                type: string
                description: >-
                  The internal identifier of the plan, used when subscribing or
                  estimating.
              credits:
                type: integer
                format: int32
                description: The number of credits included in the plan.
              filesize:
                type: integer
                format: int32
                description: The maximum allowed file size, in megabytes.
              timeout:
                type: integer
                format: int32
                description: The maximum allowed conversion timeout, in seconds.
              price:
                type: integer
                format: int32
                description: The price of the plan, in USD, for the billing period.
              yearly:
                type: boolean
                description: Whether the plan is billed yearly (true) or monthly (false).
              overage:
                type: integer
                format: int32
                description: >-
                  The cost, in cents, of each credit consumed beyond the plan's
                  included credits.
              position:
                type: integer
                format: int32
                description: The position of the plan in the ordered list.
    Error:
      type: object
      properties:
        success:
          type: boolean
        error:
          type: string
        code:
          type: integer
          format: int32
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.pdfshift.io/dashboard/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````